- page_title _("New Branch")
- default_ref = params[:ref] || @project.default_branch

- if @error
  = render Pajamas::AlertComponent.new(variant: :danger) do |c|
    = c.body do
      = @error
%h1.page-title.gl-font-size-h-display
  = _('New Branch')
%hr

= form_tag namespace_project_branches_path, method: :post, id: "new-branch-form", class: "js-create-branch-form js-requires-input" do
  .form-group.row
    = label_tag :branch_name, nil, class: 'col-form-label col-sm-2'
    .col-sm-10
      = text_field_tag :branch_name, params[:branch_name], required: true, autofocus: true, class: 'form-control js-branch-name monospace'
      .form-text.text-muted.text-danger.js-branch-name-error
  .form-group.row
    = label_tag :ref, 'Create from', class: 'col-form-label col-sm-2'
    .col-sm-10.create-from
      .dropdown
        = hidden_field_tag :ref, default_ref
        = button_tag type: 'button', title: default_ref, class: 'dropdown-menu-toggle wide js-branch-select monospace', required: true, data: { toggle: 'dropdown', selected: default_ref, field_name: 'ref' } do
          .text-left.dropdown-toggle-text= default_ref
          = sprite_icon('chevron-down', css_class: "dropdown-menu-toggle-icon gl-top-3")
        = render 'shared/ref_dropdown', dropdown_class: 'wide'
      .form-text.text-muted Existing branch name, tag, or commit SHA
  .form-actions
    = button_tag 'Create branch', class: 'gl-button btn btn-confirm'
    = link_to _('Cancel'), project_branches_path(@project), class: 'gl-button btn btn-default btn-cancel'
-# haml-lint:disable InlineJavaScript
%script#availableRefs{ type: "application/json" }= @project.repository.ref_names.to_json.html_safe
